package domain

type AlibabaWdkMarketingCouponQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回的数据     */
	ItemCouponSkuList *[]AlibabaWdkMarketingCouponQueryitemsItemCouponSku `json:"item_coupon_sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetMessage(v string) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetItemCouponSkuList(v []AlibabaWdkMarketingCouponQueryitemsItemCouponSku) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.ItemCouponSkuList = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaWdkMarketingCouponQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaWdkMarketingCouponQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
